MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023287Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-16 15:202012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023287: IntPolyh_MaillageAffinage.cxx, line 2217: "identical sub-expressions to the left and to the right of the '-' operator"
DescriptionIn the lines below:

if (NbPoints!=0) {
      if (Abs(PEP1.U()-PEP1.U())<MyConfusionPrecision
          &&(Abs(PEP1.V()-PEP2.V())<MyConfusionPrecision) ) NbPoints=1;

Abs(PEP1.U()-PEP1.U())

should be probably replaced with

Abs(PEP1.U()-PEP2.U())

In this case the points are equal and so the points number can be reduced to '1'.


TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020989)
Pawel (developer)
2012-07-16 15:22

Corresponding git branch pushed. Please review.
(0020993)
abv (manager)
2012-07-16 18:18

No remarks, please test
(0021060)
mkv (tester)
2012-07-19 11:30

Dear BugMaster,
The workbenches
KAS:dev:mkv-23287-occt (GIT branch CR23287)
KAS:dev:mkv-23287-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23287-products_17072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 0564092b
Timestamp: 2012-07-16 10:34:22
Author: Pawel
Details ] Diff ]
0023287: IntPolyh_MaillageAffinage.cxx, line 2217: "identical sub-expressions to the left and to the right of the '-' operator"

Changed the redundant curve type Geom(2d)_BSplineCurve to Geom(2d)_BezierCurve.
mod - src/GeomLib/GeomLib_Tool.cxx Diff ] File ]
occt: master 35958a58
Timestamp: 2012-07-16 11:22:07
Author: Pawel
Details ] Diff ]
0023287: IntPolyh_MaillageAffinage.cxx, line 2217: "identical sub-expressions to the left and to the right of the '-' operator"

The expression
Abs(PEP1.U()-PEP1.U())
changed to
Abs(PEP1.U()-PEP2.U())
In this case the points are equal and so the points number can be reduced to '1'.
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-16 15:20 Pawel New Issue
2012-07-16 15:20 Pawel Assigned To => Pawel
2012-07-16 15:22 Pawel Note Added: 0020989
2012-07-16 15:22 Pawel Assigned To Pawel => bugmaster
2012-07-16 15:22 Pawel Status new => resolved
2012-07-16 18:18 abv Note Added: 0020993
2012-07-16 18:18 abv Status resolved => reviewed
2012-07-16 18:43 mkv Assigned To bugmaster => mkv
2012-07-19 11:30 mkv Note Added: 0021060
2012-07-19 11:30 mkv Test case number => Not needed
2012-07-19 11:30 mkv Assigned To mkv => bugmaster
2012-07-19 11:30 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 0564092b
2012-07-23 12:20 Pawel Changeset attached => occt master 35958a58
2012-07-23 12:22 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:22 Pawel Status tested => verified
2012-07-23 12:22 Pawel Resolution open => fixed
2012-07-23 12:48 bugmaster Changeset removed occt master 0564092b =>
2012-07-23 12:49 bugmaster Changeset attached => occt master 0564092b
2012-07-23 13:22 abv Changeset removed occt master 0564092b =>
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker